<template>
    <header>
        <section class="header__logo">
            <img src="../assets/img/logo.jpg" alt="logo Tic Tac Toe">
        </section>
        <section class="header__players">
            <p>{{players.player1.name}} <span class="versus">vs</span> {{players.player2.name}}</p>
        </section>
    </header>
</template>

<script type="text/ecmascript-6">/* eslint-disable */
  export default {
    name: 'GameHeader',
    data () {
      return {
          players: {
              player1: {
                  name: ''
              },
              player2: {
                  name: ''
              }
          }
      }
    },
      mounted() {
          // get players name from localStorage
          if (localStorage.player1Name) {
              this.players.player1.name = localStorage.player1Name;
          }
          if(localStorage.player2Name) {
              this.players.player2.name = localStorage.player2Name;
          }
      }
  }
</script>

<style scoped lang="scss">
    header {
        display: flex;
        display: -webkit-flex;
        background-color: #061F3E;
        width: 100%;
        .header__logo {
            display: flex;
            display: -webkit-flex;
            justify-content: flex-start;
            width: 50%;
            padding-left: 3rem;
            img {
                height: 10rem;
            }
        }
        .header__players {
            display: flex;
            display: -webkit-flex;
            justify-content: flex-end;
            width:50%;
            padding-right: 3rem;
            p {
                padding-top: 2.5rem;
                color: #fff;
                font-size: 2rem;
            }
            .versus {
                color: #F0E68C;
                text-transform: uppercase;
                font-size: 2.4rem;
            }
        }
    }
</style>
